API Keys

GET /api/v1/me/apikeys

Get A P I Keys

getAPIKeys returns all API keys for the current user (hash excluded via json:"-")

Response

Type: []APIKey

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
user_idstring
organization_idstringOptional org scope
namestring“CI/CD Key”, “Dev Key”
key_prefixstringFirst 8 chars for identification
scopesdatatypes.JSON[“models:read”, “workflows:*”]
last_used_attime.Time
expires_attime.Time
disabledbool
userUserComputed (optional)
organizationOrganization(optional)

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/me/apikeys

POST /api/v1/me/apikeys

Create A P I Key

createAPIKey generates a new API key, stores the SHA-256 hash, and returns the plaintext once

Request Body

Type: CreateAPIKeyRequest

FieldTypeDescription
namestring
scopes[]string
organization_idstring
expires_in_daysint

Response

Type: CreateAPIKeyResponse

FieldTypeDescription
iduuid.UUID
namestring
key_prefixstring
keystringFull key, only returned on creation
scopes[]string
expires_attime.Time

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/me/apikeys

PUT /api/v1/me/apikeys/{id}

Update toggle A P I Key

toggleAPIKey toggles the disabled field on an API key (only owner’s keys)

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: APIKey

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
user_idstring
organization_idstringOptional org scope
namestring“CI/CD Key”, “Dev Key”
key_prefixstringFirst 8 chars for identification
scopesdatatypes.JSON[“models:read”, “workflows:*”]
last_used_attime.Time
expires_attime.Time
disabledbool
userUserComputed (optional)
organizationOrganization(optional)

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  https://api.seeme.ai/api/v1/me/apikeys/{id}

DELETE /api/v1/me/apikeys/{id}

Delete A P I Key

deleteAPIKey soft-deletes an API key (only owner’s keys)

Parameters

NameInTypeRequired
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/me/apikeys/{id}